FreeBSD : qemu -- denial of service vulnerability in MSI-X support (3fb06284-b1b7-11e5-9728-002590263bf5)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Prasad J Pandit, Red Hat Product Security Team, reports :

Qemu emulator built with the PCI MSI-X support is vulnerable to null
pointer dereference issue. It occurs when the controller attempts to
write to the pending bit array(PBA) memory region. Because the MSI-X
MMIO support did not define the .write method.

A privileges used inside guest could use this flaw to crash the Qemu
process resulting in DoS issue.

See also :

http://www.openwall.com/lists/oss-security/2015/12/14/2
http://www.nessus.org/u?895adf09
http://www.nessus.org/u?0d588cf1
http://www.nessus.org/u?f9bf68b9

Solution :

Update the affected packages.

Risk factor :

High

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 87690 ()

Bugtraq ID:

CVE ID: CVE-2015-7549

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now